import request from '@/utils/request'

// 查询店铺管理列表
export function listStore(query) {
  return request({
    url: '/his/store/list',
    method: 'get',
    params: query
  })
}

// 查询店铺管理详细
export function getStore(storeId) {
  return request({
    url: '/his/store/' + storeId,
    method: 'get'
  })
}


// 新增店铺管理
export function addStore(data) {
  return request({
    url: '/his/store',
    method: 'post',
    data: data
  })
}

// 修改店铺管理
export function updateStore(data) {
  return request({
    url: '/his/store',
    method: 'put',
    data: data
  })
}
// 修改店铺管理
export function audit(data) {
  return request({
    url: '/his/store/audit',
    method: 'put',
    data: data
  })
}
// 删除店铺管理
export function delStore(storeId) {
  return request({
    url: '/his/store/' + storeId,
    method: 'delete'
  })
}

// 导出店铺管理
export function exportStore(query) {
  return request({
    url: '/his/store/export',
    method: 'get',
    params: query
  })
}
